import { jsx } from "react/jsx-runtime";
import { TokenPNP as TokenPNP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPNP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "PNP", "data-name": "TokenPNP", ...props, children: /* @__PURE__ */ jsx(TokenPNP$1, { variant }) });
  }
);
TokenPNP.displayName = "TokenPNP";
Object.assign(TokenPNP, { isGdsIcon: true });
export {
  TokenPNP
};
